summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorThiago Marcos P. Santos <tmpsantos@gmail.com>2020-04-16 14:35:04 +0300
committerThiago Marcos P. Santos <tmpsantos@gmail.com>2020-04-16 19:31:23 +0300
commitaa2e8fbb6a3699992a14c6e706de12bbfb4d27b2 (patch)
tree445edbaf4b9b0186b934358c029b3491ac99c789 /scripts
parent545a09fcb383595f8a012a2504cd61a924ca62ac (diff)
downloadqtlocation-mapboxgl-aa2e8fbb6a3699992a14c6e706de12bbfb4d27b2.tar.gz
[build] Move to Ubuntu Eoan
Disco has reached EOL and apt-get fails.
Diffstat (limited to 'scripts')
-rw-r--r--scripts/ci/Dockerfile11
-rw-r--r--scripts/ci/etc/apt/sources.list20
2 files changed, 20 insertions, 11 deletions
diff --git a/scripts/ci/Dockerfile b/scripts/ci/Dockerfile
index 381f503c51..465c4ac641 100644
--- a/scripts/ci/Dockerfile
+++ b/scripts/ci/Dockerfile
@@ -1,4 +1,4 @@
-FROM ubuntu:disco-20190718
+FROM ubuntu:eoan-20200313
ENV DEBIAN_FRONTEND="noninteractive"
ENV ANDROID_HOME="/opt/android"
@@ -20,6 +20,8 @@ RUN set -eu && apt-get install -y \
gzip \
ssh \
tar \
+ colorized-logs \
+ python-scipy \
&& apt-get autoremove --purge -y && apt-get clean
# Base dependencies
@@ -120,5 +122,12 @@ RUN set -eu \
&& apt-get install google-cloud-sdk -y \
&& apt-get autoremove --purge -y && apt-get clean
+# FIXME: This package should not be needed
+# bug looks like run-clang-tidy-8 is broken.
+# Remove when Ubuntu Eoan fixes the dependency.
+RUN set -eu && apt-get install -y \
+ python-yaml \
+ && apt-get autoremove --purge -y && apt-get clean
+
# Configure ccache
RUN set -eu && /usr/sbin/update-ccache-symlinks
diff --git a/scripts/ci/etc/apt/sources.list b/scripts/ci/etc/apt/sources.list
index c5359e131a..7ec1107611 100644
--- a/scripts/ci/etc/apt/sources.list
+++ b/scripts/ci/etc/apt/sources.list
@@ -1,10 +1,10 @@
-deb http://fi.archive.ubuntu.com/ubuntu/ disco main restricted
-deb http://fi.archive.ubuntu.com/ubuntu/ disco-updates main restricted
-deb http://fi.archive.ubuntu.com/ubuntu/ disco universe
-deb http://fi.archive.ubuntu.com/ubuntu/ disco-updates universe
-deb http://fi.archive.ubuntu.com/ubuntu/ disco multiverse
-deb http://fi.archive.ubuntu.com/ubuntu/ disco-updates multiverse
-deb http://fi.archive.ubuntu.com/ubuntu/ disco-backports main restricted universe multiverse
-deb http://security.ubuntu.com/ubuntu/ disco-security main restricted
-deb http://security.ubuntu.com/ubuntu/ disco-security universe
-deb http://security.ubuntu.com/ubuntu/ disco-security multiverse
+deb http://fi.archive.ubuntu.com/ubuntu/ eoan main restricted
+deb http://fi.archive.ubuntu.com/ubuntu/ eoan-updates main restricted
+deb http://fi.archive.ubuntu.com/ubuntu/ eoan universe
+deb http://fi.archive.ubuntu.com/ubuntu/ eoan-updates universe
+deb http://fi.archive.ubuntu.com/ubuntu/ eoan multiverse
+deb http://fi.archive.ubuntu.com/ubuntu/ eoan-updates multiverse
+deb http://fi.archive.ubuntu.com/ubuntu/ eoan-backports main restricted universe multiverse
+deb http://security.ubuntu.com/ubuntu/ eoan-security main restricted
+deb http://security.ubuntu.com/ubuntu/ eoan-security universe
+deb http://security.ubuntu.com/ubuntu/ eoan-security multiverse